@font-face {
  font-family: 'SpaceGroteskVariable';
  src: url('../fonts/SpaceGrotesk-Variable.woff2') format('woff2'),
  url('../fonts/SpaceGrotesk-Variable.woff') format('woff');
  font-weight: 300 700;
  font-style: normal;
  font-display: swap;
}

/* style global
-----------------*/
:root {
  --font: "SpaceGroteskVariable", "Arial", sans-serif;
  --normal: .3s;
  --header-height: 4.6vw;
  /* colors */
  --white: #fff;
  --black: #000;
  --green: #00D96E;
  --red-light: #f45757;
  --grey-light: #BABABA;
  /* typography */
  --h1: 700 5vw/1.06 var(--font);
  --h2: 700 3.75vw/1.08 var(--font);
  --h3: 700 2.5vw/1.08 var(--font);
  --h4: 700 2.083vw/1.08 var(--font);
  --h5: 700 1.667vw/1.2 var(--font);
  --subtitle: 400 1.25vw/1.35 var(--font);
  --paragraph-lg: 400 1.042vw/1.4 var(--font);
  --paragraph-md: 400 .938vw/1.35 var(--font);
  --paragraph-sm: 400 .833vw/1.35 var(--font);
  /* rounding */
  --card-radius-32: 1.667vw;
  --card-radius-24: 1.25vw;
  --section-radius: 3.333vw;
}

@media (max-width: 1280px) {
  :root {
    /* typography */
    --subtitle: 400 2.344vw/1.35 var(--font);
    --h1: 700 5.208vw/1.06 var(--font);
    --h2: 700 4.167vw/1.08 var(--font);
    --h3: 700 3.646vw/1.08 var(--font);
    --h4: 700 3.125vw/1.08 var(--font);
    --h5: 700 2.604vw/1.2 var(--font);
    --paragraph-lg: 400 2.083vw/1.4 var(--font);
    --paragraph-md: 400 1.823vw/1.35 var(--font);
    --paragraph-sm: 400 1.563vw/1.35 var(--font);
    /* roundings */
    --card-radius-32: 2.344vw;
    --card-radius-24: 2.083vw;
    --section-radius: 3.125vw;
  }
}

@media (max-width: 767px) {
  :root {
    /* typography */
    --subtitle: 400 4.8vw/1.35 var(--font);
    --h1: 700 10.667vw/1.06 var(--font);
    --h2: 700 8.533vw/1.08 var(--font);
    --h3: 700 7.4673vw/1.08 var(--font);
    --h4: 700 6.4vw/1.08 var(--font);
    --h5: 700 5.333vw/1.2 var(--font);
    --paragraph-lg: 400 4.267vw/1.4 var(--font);
    --paragraph-md: 400 3.733vw/1.35 var(--font);
    --paragraph-sm: 400 3.2vw/1.35 var(--font);
    /* roundings */
    --card-radius-32: 4.8vw;
    --card-radius-24: 4.267vw;
    --section-radius: 6.4vw;
  }
}

*, ::before, ::after {
  margin: 0;
  padding: 0;
  border: 0;
  outline: 0;
  box-sizing: border-box;
}

::selection {
  background: var(--green);
}

body::-webkit-scrollbar {
  width: 7px;
  background-color: var(--white);
}

body::-webkit-scrollbar-thumb {
  background-color: var(--grey-light);
  border-radius: 10px;
}

html {
  scroll-behavior: smooth;
}

body {
  font: normal 14px/1.3 var(--font);
}

body.fix {
  overflow: hidden;
}

a {
  text-decoration: none;
  color: var(--black);
}

li {
  list-style: none;
}

input[type="checkbox"], input[type="radio"], input[type="file"] {
  display: none;
}

button, input[type="submit"] {
  cursor: pointer;
}

mark, button {
  background: transparent;
}

picture {
  display: block;
}

img {
  width: auto;
  height: auto;
}

picture * {
  width: 100%;
  display: block;
}


/* common styles and components */
.heading-h1, .heading-h2 {
  letter-spacing: -2px;
}

.heading-h1 {
  font: var(--h1);
}

.heading-h2 {
  font: var(--h2);
  letter-spacing: -2px;
}

.heading-h3 {
  font: var(--h3);
}

.heading-h4 {
  font: var(--h4);
}

.heading-h5 {
  font: var(--h5);
}

.subtitle {
  font: var(--subtitle);
}

.paragraph-lg {
  font: var(--paragraph-lg);
}

.paragraph-md {
  font: var(--paragraph-md);
}

.paragraph-sm {
  font: var(--paragraph-sm);
}

.paragraph-lg + .paragraph-lg, .paragraph-md + .paragraph-md, .paragraph-sm + .paragraph-sm {
  margin-top: .417vw;
}

@media (max-width: 1280px) {
  .paragraph-lg + .paragraph-lg, .paragraph-md + .paragraph-md, .paragraph-sm + .paragraph-sm {
    margin-top: 1.042vw;
  }
}

@media (max-width: 767px) {
  .paragraph-lg + .paragraph-lg, .paragraph-md + .paragraph-md, .paragraph-sm + .paragraph-sm {
    margin-top: 2.133vw;
  }
}

.bold {
  font-weight: 700;
}

.hide-underline, .view-underline {
  position: relative;
}

.hide-underline::before, .view-underline:hover::before {
  width: 100%;
}

.hide-underline::before, .view-underline::before {
  content: "";
  position: absolute;
  height: 1px;
  transition: var(--normal);
  bottom: 1px;
}

.hide-underline:hover::before, .view-underline::before {
  width: 0;
}

.underline--black::before {
  background: var(--black);
}

.underline--white::before {
  background: var(--white);
}

.text-link {
  display: inline;
  background-repeat: repeat-x;
  background-size: 200% 1px;
  background-position: 0 100%;

  &:hover {
    animation: underline-slide 0.8s ease-in-out forwards;
  }
}

.text-link--black {
  background-image: linear-gradient(
    to right,
    var(--black) 0%, var(--black) 50%,
    rgba(0,0,0,0) 50%, rgba(0,0,0,0) 100%
  );
}

.text-link--white {
  background-image: linear-gradient(
    to right,
    var(--white) 0%, var(--white) 50%,
    rgba(0,0,0,0) 50%, rgba(0,0,0,0) 100%
  );
}

@keyframes underline-slide {
  from {
    background-position: 0 100%;
  }
  to {
    background-position: -200% 100%;
  }
}

.btn {
  width: max-content;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 64px;
  height: 4.583vw;
  padding: 0 2.031vw 0 2.448vw;
  font: 500 1.25vw/1 var(--font);
  transition: background-color var(--normal), border-color var(--normal);

  svg {
    width: 1.458vw;
    height: 1.458vw;
    margin-left: 1.25vw;
    transition: stroke var(--normal), transform var(--normal), margin-left var(--normal);
  }

  &:hover svg {
    transform: rotate(45deg);
  }

  &:disabled {
    opacity: .5;
  }
}

.btn--icon {
  padding-right: 1.51vw;
}

@media (min-width: 1281px) {
  .btn:hover:not(:disabled) {
    cursor: pointer;

    svg {
      margin-left: 2.5vw;
    }
  }
}

@media(max-width: 1280px) {
  .btn {
    height: 7.031vw;
    padding: 0 2.995vw 0 4.036vw;
    font-size: 1.823vw;

    svg {
      width: 2.344vw;
      height: 2.344vw;
      margin-left: 1.563vw;
    }
  }

  .btn--icon {
    padding-left: 2.995vw
  }
}

@media(max-width: 767px) {
  .btn {
    height: 14.4vw;
    padding: 0 6.133vw;
    font-size: 3.733vw;

    svg {
      width: 4.8vw;
      height: 4.8vw;
      margin-left: 3.2vw;
    }
  }

  .btn--icon {
    padding-left: 8.267vw
  }
}

.btn--primary-black {
  background-color: var(--black);
  border: 1px solid var(--black);
  color: var(--white);

  svg {
    stroke: var(--white);
  }
}

.btn--primary-white {
  background-color: var(--white);
  border: 1px solid var(--white);
  color: var(--black);

  svg {
    stroke: var(--black);
  }
}

.btn--primary-white, .btn--primary-black {
  &:hover {
    background-color: var(--green);
    border-color: var(--green);
    color: var(--black);

    svg {
      stroke: var(--black);
    }
  }
}

.btn--secondary-black {
  background-color: transparent;
  border: 1px solid var(--black);
  color: var(--black);

  svg {
    stroke: var(--black);
  }

  &:hover {
    background-color: var(--green);
    border-color: var(--green);
  }
}

.btn--secondary-white {
  background-color: transparent;
  border: 1px solid var(--white);
  color: var(--white);

  svg {
    stroke: var(--white);
  }

  &:hover {
    background-color: var(--green);
    border-color: var(--green);
    color: var(--white);

    svg {
      stroke: var(--white);
    }
  }
}

.btn-round {
  position: relative;
  border: 1px solid;
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;

  &::before {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    width: calc(100% - 10px);
    height: calc(100% - 10px);
    border-radius: 50%;
    filter: blur(4px);
    transform: translate3d(-50%, -50%, 0);
    transition: background-color var(--normal);
  }

  svg {
    z-index: 2;
    width: 46.85%;
    height: 46.85%;
    transition: stroke var(--normal);
  }

  &:hover:not(:disabled)::before {
    background: var(--green);
  }

  &:disabled {
    opacity: .5;
    cursor: not-allowed;
  }
}

.btn-round--arrow-rotate {
  svg {
    transform: rotate(-45deg);
    transition: transform var(--normal);
  }

  &:hover svg {
    transform: rotate(0);
  }
}

.btn-round--black {
  border-color: var(--black);

  svg {
    stroke: var(--black);
  }
}

.btn-round--white {
  border-color: var(--white);

  svg {
    stroke: var(--white);
  }

  &:hover svg {
    stroke: black;
  }
}

.btn-round--md {
  width: 3.333vw;
  height: 3.333vw;
}

.btn-round--sm {
  width: 2.5vw;
  height: 2.5vw;
}

@media (max-width: 1280px) {
  .btn-round--md {
    width: 6.25vw;
    height: 6.25vw;
  }

  .btn-round--sm {
    width: 3.906vw;
    height: 3.906vw;
  }
}

@media (max-width: 767px) {
  .btn-round--md {
    width: 12.8vw;
    height: 12.8vw;
  }

  .btn-round--sm {
    width: 8vw;
    height: 8vw;
  }
}

.btn-magnet:hover {
  .btn-round {
    &::before {
      background-color: var(--green);
    }

    svg {
      transform: rotate(0);
    }
  }

  .btn-round--white svg {
    stroke: var(--black);
  }
}

.btn-magnet {
  position: relative;

  &::after {
    content: "";
    width: calc(100% + 5.21vw);
    height: calc(100% + 5.21vw);
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 1;
  }
}

.page {
  display: grid;
  grid-template-columns: 15.156vw 1fr;
  grid-template-rows: auto;
  grid-auto-rows: auto;
  background: var(--white);
}

.page__nav {
  grid-row: 3/auto;
}

.page__section {
  grid-column: 2;
  grid-row: auto;
  overflow: hidden;
}

@media (max-width: 1280px) {
  .page__section {
    grid-column: 1/3;
  }
}

.page__section--full {
  grid-column: 1/3;
}

.section {
  padding: 4.167vw 1.25vw 4.167vw 0;

  &:not(.section--full) {
    overflow: hidden;
  }
}

.section__content, .section__btn {
  margin-top: 4.167vw;
}

.section--rounded {
  border-radius: var(--section-radius);
}

.section--black {
  background: var(--black);
  color: var(--white);
}

.section--full {
  &::before {
    content: "";
    width: calc(100% + 15.156vw);
    height: 100%;
    position: absolute;
    top: 0;
    right: 0;
    background-color: var(--black);
    border-radius: var(--section-radius);
  }
}

@media (max-width: 1280px) {
  .section {
    padding: 7.552vw 24px;
  }

  .section__content, .section__btn {
    margin-top: 6.25vw;
  }
}

@media (max-width: 767px) {
  .section {
    padding: 12.8vw 16px;
  }

  .section__content, .section__btn {
    margin-top: 9.6vw;
  }

  .section__btn {
    width: 100%;
  }
}

/* style header
-----------------*/
.header {
  padding: 1.146vw 2.604vw 1.146vw 1.458vw;
  display: flex;
  justify-content: space-between;
  align-items: center;
  position: sticky;
  top: 0;
  left: 0;
  z-index: 100;
  background: var(--white);
  transition: var(--normal);
  height: 4.6vw;
  min-height: 85px;
}

body.fix  {
  .header {
    z-index: 1;
    &.fixed {
      z-index: 5;
    }
  }
}

.header.fixed {
  background: var(--white);
}

.header__logo {
  display: block;
  width: 10.990vw;
}

.header__logo > svg {
  width: inherit;
}

.header-nav {
  display: flex;
  justify-content: flex-end;
  align-items: center;
  gap: 5.000vw;
}

.header-nav__btn {
  width: 2.917vw;
  height: 1.250vw;
  position: relative;
}

.header-nav__btn > span {
  top: 50%;
  transform: translateY(-50%);
}

.header-nav__btn::before {
  top: 0;
}

.header-nav__btn::after {
  top: 100%;
  transform: translateY(-100%);
}

.header-nav__btn > span, .header-nav__btn::before, .header-nav__btn::after {
  content: "";
  width: 100%;
  height: 2px;
  background: var(--black);
  display: block;
  left: 0;
  transition: var(--normal);
  position: absolute;
}

.header-nav__btn.header-nav__btn_active::before {
  top: 50%;
  transform: translateY(-50%) rotate(45deg);
}

.header-nav__btn.header-nav__btn_active::after {
  top: 50%;
  transform: translateY(-50%) rotate(-45deg);
}

.header-nav__btn.header-nav__btn_active > span {
  opacity: 0;
}

.header-nav__link {
  display: flex;
  align-items: center;
  gap: .938vw;
}

.header-nav__link > svg {
  width: 1.719vw;
}

.header-nav__link > span {
  font: 600 1.042vw/1.3 var(--font);
}

.header-menu {
  width: 100%;
  background: var(--white);
  position: fixed;
  top: 85px;
  left: 0;
  z-index: -5;
  height: calc(100vh - 85px);
  transition: var(--normal);
  visibility: hidden;
  opacity: 0;
}

.header-menu.active {
  position: fixed;
  z-index: 100;
  visibility: visible;
  opacity: 1;
}

.header-menu__list {
  width: 39.583vw;
  margin: 0 0 0 auto;
  display: flex;
  flex-direction: column;
  gap: 1.823vw;
  padding-top: 35px;
}

.header-menu__link {
  font: 700 2.083vw/1 var(--font);
}

.header-menu__link.hide-underline {
  font-size: 2.917vw;
}

.header-menu__item {
  display: grid;
  grid-template-columns: max-content 1fr [end];
  grid-gap: 0 20px;
  align-items: center;
  position: relative;
}

.header-menu__item > svg {
  position: absolute;
  top: 50%;
  right: calc(100% + 1.667vw);
  width: 3.021vw;
  transform: translateY(-50%);
}

.submenu {
  grid-column: 1/ end;
  display: flex;
  flex-wrap: wrap;
  gap: 20px 2.083vw;
  height: 0;
  overflow: hidden;
  transition: var(--normal);
  margin-top: 0;
  padding-bottom: 0;
}

.header-menu__view-submit.active + .submenu {
  margin-top: 20px;
  padding-bottom: 5px;
}

.header-menu__view-submit {
  width: 2.917vw;
  height: 2.917vw;
  border-radius: 50%;
  border: 1px solid var(--green);
  transition: var(--normal);
  background: transparent;
  padding-top: 3px;
}

.header-menu__view-submit:hover {
  background: var(--green);
  transform: scale(1.1);
}

.header-menu__view-submit > svg {
  width: 14px;
}

.header-menu__view-submit.active > svg:first-child, .header-menu__view-submit > svg:last-child {
  display: none;
}

.header-menu__view-submit.active > svg:last-child {
  display: inline-block;
}

.submenu__link {
  font: 500 24px/1 var(--font);
}

@media (max-width: 1280px) {
  .header {
    padding: 1.719vw 3.906vw;
  }

  .header__logo {
    width: 16.875vw;
  }

  .header-nav__link > span {
    font-size: 1.563vw;
  }

  .header-nav__link > svg {
    width: 2.5vw;
  }

  .header-nav__btn {
    width: 3.828vw;
    height: 1.7vw;
  }

  .header-menu__list {
    width: 39.583vw;
    gap: 2.917vw;
    padding-top: 68px;
  }

  .header-menu__link {
    font-size: 3.083vw;
  }

  .header-menu__view-submit {
    width: 50px;
    height: 50px;
  }
}

@media (max-width: 767px) {
  .header-nav__link > span {
    font-size: 2.604vw;
  }

  .header-nav__link > svg {
    width: 4.167vw;
  }

  .header-nav__btn {
    width: 5.99vw;
    height: 2.604vw;
  }

  .header-menu__list {
    width: 71.875vw;
    gap: 28px;
  }

  .header-menu__link {
    font-size: 4.688vw;
  }

  .submenu__link {
    font-size: 20px;
  }

  .header-menu__link.hide-underline {
    font-size: 6.51vw;
  }

  .header-menu__item > svg {
    right: calc(100% + 15px);
    width: 7.813vw;
  }

  .header-nav__link {
    display: none;
  }

  .header {
    padding: 4.133vw 15px;
    position: fixed;
    width: 100%;
  }

  .header__logo {
    width: 38.667vw;
  }

  .header-nav__btn {
    width: 10.133vw;
    height: 4.533vw;
  }

  .header-menu {
    overflow-y: scroll;
  }

  .header-menu__list {
    width: 100%;
    padding: 60px 27px 20px 58px;
    gap: 16px;
    margin: 0;
  }

  .header-menu__item > svg {
    right: auto;
    left: calc(100% + 12px);
    width: 30px;
  }

  .header-menu__item:last-child {
    width: max-content;
  }

  .header-menu__link {
    font: 700 24px/26.4px var(--font);
  }

  .submenu {
    flex-wrap: nowrap;
    flex-direction: column;
    gap: 16px;
  }
}

/* style page navigation
----------------------*/
body.fix .page-nav {
  display: none;
}

.page-nav {
  height: calc(100vh - var(--header-height));
  position: sticky;
  top: var(--header-height);
  padding: 4.17vw 0 3.7vw 1.25vw;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: flex-start;
  z-index: 1;
  mix-blend-mode: difference;
  -moz-user-select: none;
  -ms-user-select: none;
  -webkit-user-select: none;
  color: var(--white);

  * {
    color: inherit;
  }
}

.page-nav__list {
  counter-reset: list;
  display: flex;
  flex-direction: column;
  gap: 1vw;
}

.page-nav__link {
  display: flex;
  align-items: center;
  gap: 1.56vw;
  font: 400 .94vw/1.35 var(--font);
  padding-bottom: 4px;
  width: max-content;
  position: relative;

  &::after {
    content: "";
    width: 0;
    height: 1px;
    position: absolute;
    top: 100%;
    left: 0;
    transition: var(--normal);
    background: var(--white);
  }

  &:hover {
    &::after {
      width: 100%;
    }
  }

  &::before {
    counter-increment: list;
    content: "0"counter(list);
    font: 400 .94vw/1.35 var(--font);
  }
}

.page-nav__item.current .page-nav__link::after {
  width: 100%;
}

.page-nav__btn-top {
  display: flex;
  align-items: center;
  gap: .625vw;
  font: 400 .94vw/1 var(--font);
  mix-blend-mode: difference;

  > svg {
    width: 1.5vw;
    height: 1.45vw;

    rect, path {
      width: 95%;
      height: 95%;
      stroke: var(--white);
    }
  }
}

@media (max-width: 1280px) {
  .page-nav {
    display: none;
  }
}

/* style form feedback
--------------------*/
.form-feedback {
  padding: 6.25vw 24px 6.25vw 0;
}

.form-feedback__wrapper {
  display: flex;
  gap: 9.219vw;
  margin-top: 4.167vw;
}

.form-feedback__title, .form-feedback__subtitle {
  max-width: 43.906vw;
}

.form-feedback__subtitle {
  margin-top: 1.875vw;
}

.form-feedback__footer-text {
  font: 400 .729vw/1.35 var(--font);
  max-width: 32.604vw;
  text-align: right;
  margin: 2.5vw 0 0 auto;

  a {
    text-decoration: underline;
    transition: color .2s;
  }

  a:hover {
    color: var(--green);
  }
}

.form-feedback-photo {
  position: relative;
  padding-right: 10.313vw;
}

.form-feedback-photo__content {
  position: absolute;
  top: 2.813vw;
  right: 0;
  width: 13.542vw;
  height: 7.24vw;
  border-radius: 50%;
  border: 1px solid var(--green);
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: flex-start;
  padding: .313vw 2.109vw 0 2.109vw;
}

.form-feedback-photo__content-name {
  font: 700 1.042vw/1.4vw var(--font);
}

.form-feedback-photo__content-status {
  font: 700 .625vw/1.35 var(--font);
}

.form-feedback__content {
  width: 41.823vw;
  flex-shrink: 0;
}

.form-feedback-photo__img {
  width: 21.042vw;
  height: 27.708vw;

  > img {
    width: 100%;
    height: 100%;
  }
}

.form-content__label {
  display: block;
  position: relative;
  width: 100%;
  height: 4.167vw;
  border: 1px solid var(--black);
  overflow: hidden;

  &.valid {
    border: 1px solid var(--green) !important;

    + .form-content__label {
      border-top-color: transparent !important;
    }
  }

  &.invalid {
    border: 1px solid var(--red-light) !important;

    + .form-content__label {
      border-top-color: transparent !important;
    }
  }

  &:first-of-type {
    border-radius: var(--card-radius-24) var(--card-radius-24) 0 0;
    border-bottom: 0;
  }

  &:last-of-type {
    border-radius: 0 0 var(--card-radius-24) var(--card-radius-24);
  }

  + .form-content__label:not(:last-of-type) {
    border-bottom: 0;
  }
}

.form-content__footer {
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
  margin-top: 2.5vw;
}

.input-file-wrap {
  position: relative;
  width: 100%;

  .form-content__error {
    padding-left: 0;
    top: 100%;
    position: static;
    margin-top: 8px;
  }
}

.input-file-wrap__info {
  font: 400 .729vw/1.35 var(--font);
  margin: .26vw 0 0 1.51vw;
  display: block;
}

.input-file-wrap__label {
  display: inline-flex;
  align-items: center;
  cursor: pointer;

  svg:not(.input-file-wrap__arrow) {
    width: .625vw;
    height: 1.25vw;
    margin-left: .313vw;
  }
}

.form-content input[type="file"] {
  display: none;
}

.input-file-wrap__label-text {
  display: inline-block;
  font: 600 1.042vw/1.35 var(--font);
  margin-left: .573vw;
}

.input-file-wrap__arrow {
  width: 1.667vw;
  margin-left: .938vw;
  transition: transform var(--normal);
}

.input-file-wrap__label:hover .input-file-wrap__arrow {
  transform: translateX(10px);
}

.input-file-wrap__label:hover .hide-underline::before {
  width: 0;
}

.form-content__label_textarea {
  width: 100%;
  height: 8.333vw;
}

.form-content__textarea {
  resize: none;
  padding: 1.354vw 24px 1.354vw 6.563vw;

  &::placeholder {
    line-height: 1.4
  }
}

.form-content__label-name {
  position: absolute;
  top: 1.354vw;
  left: 1.25vw;
  font: var(--paragraph-md);
  font-weight: 700;
}

.form-content__error {
  position: absolute;
  bottom: .425vw;
  padding-left: 6.563vw;
  font: 400 .729vw/1.35 var(--font);
  color: var(--red-light);
  display: none;
}

.form-content__input {
  padding: 0 10px 0 6.563vw;
}

.form-content__input, .form-content__textarea {
  height: 100%;
  width: 100%;
  outline: none;
  font: 400 1.042vw/1.4 var(--font);
  transition: padding var(--normal);
}

.invalid ~ .form-content__error, .invalid > .form-content__error, .input-file-wrap__file-name {
  display: block;
}

.input-file-wrap__file-name {
  display: flex;
  flex-direction: row-reverse;
  align-items: center;
  justify-content: flex-end;
  gap: 5px;
}

.input-file-wrap__file-name button {
  width: 10px;
  height: 10px;
  position: relative;
}

.input-file-wrap__file-name button::before, .input-file-wrap__file-name button::after {
  content: "";
  width: 100%;
  height: 1px;
  background: var(--black);
  position: absolute;
  top: 50%;
  left: 50%;
}

.input-file-wrap__file-name button::before {
  transform: translate(-50%, -50%) rotate(45deg);
}

.input-file-wrap__file-name button::after {
  transform: translate(-50%, -50%) rotate(-45deg);
}

.form-feedback-popup {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  background: rgba(255, 255, 255, 0.98);
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  z-index: -5;
  visibility: hidden;
  opacity: 0;
  transition: opacity var(--normal);
}

.form-feedback-popup.view {
  opacity: 1;
  visibility: visible;
  z-index: 100;
}

.form-feedback-popup__wrap {
  width: 60.417vw;
}

.form-feedback-popup__title {
  font: 600 1.667vw/1.3 var(--font);
}

.form-feedback-popup__text {
  font: 400 1.25vw/1.35 var(--font);
  margin-top: 1.25vw;
}

.form-feedback-popup__btn {
  margin-top: 2.5vw;
  padding: 1.51vw 2.031vw 1.51vw 2.448vw;
  background: transparent;
  color: var(--black);
  font: 500 1.25vw/1 var(--font);
  border: 1px solid var(--black);
  border-radius: 3.33vw;
  transition: background-color var(--normal), border-color var(--normal);

  &:hover {
    background-color: var(--green);
    border-color: var(--green);
  }
}

.form-feedback-popup__close {
  position: absolute;
  top: 2.5vw;
  right: 2.5vw;
  width: 3.333vw;
  height: 3.333vw;
  border-radius: 50%;
  border: 1px solid var(--black);
  display: flex;
  justify-content: center;
  align-items: center;
  transition: background-color var(--normal), border-color var(--normal);

  > svg {
    width: 46.875%;
    height: 46.875%;
    stroke: var(--black);
  }

  &:hover {
    background: var(--green);
    border-color: var(--green);
  }
}

@media (max-width: 1280px) {
  .form-feedback {
    padding: 10.156vw 3.125vw;
    display: block;

    & > div:first-of-type {
      max-width: unset;
    }
  }

  .form-feedback__title, .form-feedback__subtitle {
    max-width: unset;
  }

  .form-feedback__subtitle {
    margin-top: 3.125vw;
  }

  .form-feedback-photo {
    display: none;
  }

  .form-feedback__footer-text {
    font-size: 1.563vw;
    max-width: 81.51vw;
    margin-top: 4.688vw
  }

  .form-feedback__wrapper {
    margin: 0;
  }

  .form-feedback__content {
    width: 100%;
    margin-top: 6.25vw;
  }

  .form-content__label {
    height: 10.938vw;
  }

  .form-content__label_textarea {
    height: 27.865vw;
  }

  .form-content__label-name {
    left: 3.125vw;
    top: 3.971vw;
  }

  .form-content__input, .form-content__textarea {
    font-size: 2.344vw;
    padding-left: 16.406vw;
  }

  .form-content__error {
    font-size: 2.083vw;
    padding-left: 16.406vw;
  }

  .form-content__textarea {
    padding: 3.385vw 24px 3.385vw 16.406vw;
  }

  .input-file-wrap__label svg:not(.input-file-wrap__arrow) {
    width: 1.563vw;
    height: 3.125vw;
    margin-left: .781vw;
  }

  .input-file-wrap__label-text {
    font-size: 2.604vw;
    margin-left: 1.432vw;
  }

  .input-file-wrap__arrow {
    width: 4.167vw;
    margin-left: 2.344vw;
    transform: none!important;
  }

  .input-file-wrap .form-content__error, .input-file-wrap__file-name {
    font-size: 1.823vw;
    margin-top: 3.906vw;
  }

  .input-file-wrap__info {
    font-size: 1.823vw;
    margin: .651vw 0 0 3.776vw;
  }

  .form-content__footer {
    margin-top: 4.688vw;
  }

  .form-feedback-popup__wrap {
    width: 90.625vw;
  }

  .form-feedback-popup__title {
    font-size: 3.125vw;
  }

  .form-feedback-popup__text {
    font-size: 2.604vw;
    margin-top: 3.125vw;
  }

  .form-feedback-popup__btn {
    margin-top: 3.125vw;
    padding: 2.214vw 2.995vw 2.214vw 4.036vw;
    font-size: 2.344vw;
    border-radius: 8.333vw;
  }

  .form-feedback-popup__close {
    top: 6.25vw;
    right: 6.25vw;
    width: 8.333vw;
    height: 8.333vw;
  }
}

@media (max-width: 767px) {
  .form-feedback {
    padding: 15.467vw 16px;
  }

  .form-feedback__subtitle {
    margin-top: 6.4vw;
  }

  .form-feedback__content {
    margin-top: 9.6vw;
  }

  .form-content__label {
    height: 21.333vw;
  }

  .form-content__label:first-of-type .form-content__input {
    border-radius: 4.267vw 4.267vw 0 0;
  }

  .form-content__label-name {
    left: 6.4vw;
    top: 8.133vw;
  }

  .form-content__input, .form-content__textarea {
    padding-left: 29.067vw;
    font-size: 4.267vw;
  }

  .form-content__error {
    font-size: 3.733vw;
    padding-left: 3vw;
  }

  .form-quiz-steep__error {
    font-size: 18vw;
  }

  .form-content__textarea {
    padding: 8.133vw 24px 22px 29.067vw;
    border-radius: 0 0 4.267vw 4.267vw;
  }

  .input-file-wrap {
    display: flex;
    flex-wrap: wrap
  }

  .input-file-wrap__label svg:not(.input-file-wrap__arrow) {
    width: 2.133vw;
    height: 4.267vw;
    margin-left: 1.067vw;
  }

  .input-file-wrap__label-text {
    font-size: 4.267vw;

    svg {
      width: 2.133vw;
      height: 4.167vw;
    }
  }

  .input-file-wrap__arrow {
    width: 8.533vw;
    margin-left: 4.8vw;
  }

  .input-file-wrap .form-content__error, .input-file-wrap__file-name {
    font-size: 3.733vw;
    margin-top: 8vw;
  }

  .input-file-wrap__info {
    font-size: 4.267vw;
    margin: 0 0 0 2.667vw;
  }

  .form-content__footer {
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    gap: 4.267vw;
    overflow: hidden;
    margin-top: 9.6vw;
  }

  .form-content__submit {
    width: 100%;
    padding: 4.533vw;
    font-size: 4.8vw;
  }

  .form-feedback__footer-text {
    font-size: 3.733vw;
    margin-top: 6.4vw;
    max-width: unset;
    text-align: left;
  }

  .input-file-wrap {
    width: 100%;
    margin-left: 0;
  }

  .input-file-wrap__label {
    display: inline-flex;
  }

  .form-content__label.form-content__label_textarea {
    height: 40vw;
  }

  .form-content__label:first-of-type {
    border-radius: 4.267vw 4.267vw 0 0;
  }

  .form-content__label + .form-content__label_textarea {
    border-radius: 0 0 4.267vw 4.267vw;
  }

  .form-feedback-popup__wrap {
    width: 91.467vw;
  }

  .form-feedback-popup__title, .form-feedback-popup__text {
    font-size: 5.333vw;
  }

  .form-feedback-popup__text, .form-feedback-popup__btn {
    margin-top: 6.4vw;
  }

  .form-feedback-popup__btn {
    width: 100%;
    padding: 4.533vw;
    font-size: 4.8vw;
    border-radius: 17.067vw;
  }

  .form-feedback-popup__close {
    top: 6.4vw;
    right: 6.4vw;
    width: 12.8vw;
    height: 12.8vw;

    svg {
      width: 41.667%;
      height: 41.667%;
    }
  }
}

/* style faq
--------------------*/
.faq {
  background: #fafafa;
  padding: 8.333vw 1.25vw 8.333vw 15.156vw;
  grid-column: 1/3;
  border-radius: var(--section-radius);
}

.faq__title {
  width: 41.67vw;
}

.faq-list {
  margin: 1.563vw auto 0;
  width: 55.781vw;
  border-radius: var(--card-radius-24);
  overflow: hidden;
}

.faq-list__item {
  width: 100%;
  position: relative;
  padding: 1.667vw 2.500vw;
  background: var(--white);
  margin: 0;
  border: 1px solid transparent;
  cursor: pointer;
  transition: var(--normal);

  &:hover .faq-list__question:not(.faq-list__item_open:hover .faq-list__question) {
    background-size: 0 2px, 100% 2px;
  }
}

.faq-list__close {
  position: absolute;
  top: 0;
  right: 0;
  display: flex;
  align-items: center;
  gap: .417vw;
  font: var(--paragraph-md);
  font-weight: 700;
  z-index: -5;
  opacity: 0;
  transition: opacity var(--normal);
  padding: .833vw;
  color: var(--black);
}

.faq-list__close::after {
  content: "";
  width: .833vw;
  height: .833vw;
  background: url("../img/icons/close.svg") no-repeat center / contain;
}

.faq-list__question {
  transition: background .5s ease-in-out;
  display: inline;
  background: linear-gradient(to right, rgba(0, 0, 0, 0), rgba(0, 0, 0, 0)), linear-gradient(to right, rgb(0, 0, 0), rgb(0, 0, 0), rgb(0, 0, 0));
  background-size: 100% 2px, 0 2px;
  background-position: 100% 100%, 0 100%;
  background-repeat: no-repeat;
}

.faq-list__answers {
  height: 0;
  overflow: hidden;
  transition: var(--normal);
  padding: 0;
  font: var(--paragraph-lg);

  p + p {
    margin-top: .833vw;
  }

  p + ul {
    margin-top: .625vw;
  }

  ul + p {
    margin-top: 1.042vw;
  }
}

.faq-list__item_open {
  border-color: var(--black);
  padding: 3.333vw 2.5vw 2.5vw;
  margin: 1.667vw 0;
  border-radius: var(--card-radius-24);
}

.faq-list__item_open .faq-list__close {
  opacity: 1;
  z-index: 1;
}

.faq-list__item_open .faq-list__answers {
  margin-top: 1.667vw;
}

@media (max-width: 1280px) {
  .faq {
    padding: 7.552vw 24px;
  }

  .faq__title {
    width: 100%;
  }

  .faq-list {
    margin: 3.125vw 0 0;
    width: 100%;
  }

  .faq-list__item {
    padding: 2.604vw 5.208vw;
  }

  .faq-list__item_open {
    padding: 7.292vw 5.208vw 5.208vw;

    .faq-list__answers {
      margin-top: 4.167vw;
    }
  }

  .faq-list__close {
    padding: 1.563vw;
    gap: .521vw;

    &::after {
      width: 1.302vw;
      height: 1.302vw;
    }
  }

  .faq-list__answers {
    p + p {
      margin-top: 2.083vw;
    }

    p + ul {
      margin-top: 1.563vw;
    }

    ul + p {
      margin-top: 2.604vw;
    }
  }
}

@media (max-width: 767px) {
  .faq {
    padding: 15.467vw 16px;
  }

  .faq-list {
    margin: 3.125vw 0 0;
    width: 100%;
  }

  .faq-list__item {
    padding: 5.333vw 6.4vw;
  }

  .faq-list__item_open {
    padding: 12.8vw 6.4vw 9.6vw;
    margin: 4.27vw 0;

    .faq-list__answers {
      margin-top: 6.4vw;
    }
  }

  .faq-list__close {
    padding: 3.2vw;
    gap: 2.133vw;

    &::after {
      width: 4.267vw;
      height: 4.267vw;
    }
  }

  .faq-list__answers {
    p + p {
      margin-top: 4.267vw;
    }

    p + ul {
      margin-top: 3.2vw;
    }

    ul + p {
      margin-top: 5.333vw;
    }
  }
}

/* style footer
--------------------*/
.footer {
  background: var(--black);
  padding: 5.208vw 4.688vw 6.25vw 4.688vw;
  color: var(--white);

  svg {
    height: auto;
  }

  .hide-underline::before, .view-underline::before {
    height: 1px;
    background: var(--white);
  }
}

.footer__wrap {
  display: flex;
  justify-content: space-between;

  & + .footer__wrap {
    margin-top: 4.167vw;
  }
}

.footer__head-links {
  display: flex;
  align-items: center;
  gap: 1.875vw;
  margin-right: auto;
}

.footer__logo {
  width: 2.5vw;
}

.footer__btn {
  background-color: var(--white);
}

.footer__email {
  font: 500 1.25vw/1 var(--font);
  color: var(--white);
}

.footer__clutch {
  flex-shrink: 0;
  align-self: center;
}

.clutch-link {
  display: flex;
  align-items: center;
  gap: 1.042vw;
  background-color: #333333;
  padding: .833vw 1.25vw;
  border-radius: .833vw;

  &:hover {
    .view-underline::before {
      width: 100%;
    }

    .clutch-link__arrow-icon {
      transform: rotate(45deg);
    }
  }
}

.clutch-link__logo {
  width: 4.115vw;
}

.clutch-link__desc {
  display: flex;
  align-items: center;
  gap: .833vw;
  color: #BABABA;
}

.clutch-link__rating {
  display: flex;
  align-items: center;
  gap: .313vw;
  color: var(--white);
  font: 700 1.146vw/1 var(--font);

  svg {
    width: 1.458vw;
    margin-bottom: 2px;
  }
}

.clutch-link__reviews {
  color: var(--white);
  font: 400 .938vw/1.35 var(--font);
}

.clutch-link__arrow-icon {
  width: 1.667vw;
  transition: transform var(--normal);
}

.footer-menu:last-child {
  text-align: right;

  .footer-menu__item:last-child {
    justify-content: flex-end;
  }
}

.footer-menu__title {
  font: 700 2.5vw/1.08 var(--font);
}

.footer-menu__list {
  display: flex;
  flex-direction: column;
  gap: .625vw;
  margin-top: 1.563vw;
}

.footer-menu__item:last-child {
  display: flex;
  align-items: center;
  gap: .938vw;
  margin-top: .208vw;

  svg {
    width: 1.667vw;
  }

  .footer-menu__link {
    font: 600 1.042vw/1.3 var(--font);
  }
}

.footer-menu__link {
  color: var(--white);
  font: 400 .938vw/1.35 var(--font);
}

.footer-nav__list {
  display: grid;
  grid-template-columns: repeat(2, max-content);
  grid-gap: 1.563vw 10.417vw;
}

.footer-nav__link {
  color: var(--white);
  font: 700 1.667vw/1.125 var(--font);
}

.office {
  display: flex;
  align-items: center;
  justify-content: flex-end;
  flex-wrap: wrap;
  text-align: right;
  column-gap: .833vw;
}

.office + .office {
  margin-top: 1.563vw;
}

.office__btn {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 1.563vw;
  height: 1.563vw;
  border-radius: 50%;
  border: 1px solid var(--green);
  transition: transform var(--normal);

  svg {
    width: .625vw;
    height: .625vw;
  }

  &:hover {
    transform: scale(1.1);
  }
}

.office__btn.active svg:first-child, .office__btn svg:last-child {
  display: none;
}

.office__btn.active svg:last-child {
  display: inline-block;
}

.office__btn.active + .office__address {
  margin-top: 1.25vw;
}

.office__address {
  overflow: hidden;
  transition: var(--normal);
  font: 400 1.042vw/1.35 var(--font);
  width: 100%;
  grid-column: 1/end;
  height: 0;
}

.office__country {
  font: 600 1.667vw/1 var(--font);
}

.footer__social {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin: 5vw 0;
}

.footer-social svg {
  width: 5vw;
  height: 5vw;
  transition: var(--normal);
  stroke: var(--white);
}

.footer-social:hover svg {
  fill: var(--white);
  stroke: var(--black);
}

.footer__copyright, .footer__privacy-link {
  color: var(--white);
  font: 400 .938vw/1.35 var(--font);
}

@media (max-width: 1280px) {
  .footer {
    padding: 6.51vw 5.208vw 9.375vw;
  }

  .footer__wrap {
    align-items: flex-start;
  }

  .footer__wrap + .footer__wrap {
    margin-top: 4.688vw;
  }

  .footer__head-links {
    flex-wrap: wrap;
    column-gap: 2.083vw;
    row-gap: 2.604vw;
  }

  .footer__logo {
    width: 6.12vw;
  }

  .footer__email {
    font-size: 2.604vw;
  }

  .footer__clutch {
    align-self: flex-start;
  }

  .clutch-link {
    gap: 2.604vw;
    padding: 1.563vw 2.083vw;
    border-radius: 2.083vw;
  }

  .clutch-link__logo {
    width: 8.23vw;
  }

  .clutch-link__desc {
    gap: 1.042vw;
  }

  .clutch-link__rating {
    gap: .651vw;
    font-size: 2.344vw;

    svg {
      width: 3.646vw;
    }
  }

  .clutch-link__reviews {
    font-size: 1.823vw;
  }

  .clutch-link__arrow-icon {
    width: 4.167vw;
  }

  .footer-menu__title {
    font-size: 4.167vw;
  }

  .footer-menu__list {
    gap: 1.042vw;
    margin-top: 2.083vw;
  }

  .footer-menu__item:last-child {
    gap: 2.344vw;
    margin-top: 1.432vw;

    svg {
      width: 4.167vw;
    }

    .footer-menu__link {
      font-size: 2.604vw;
    }
  }

  .footer-menu__link {
    font-size: 1.823vw;
  }

  .footer-nav__list {
    grid-template-columns: repeat(2, 9.44vw);
    grid-gap: 2.083vw 11.719vw;
  }

  .footer-nav__link {
    font-size: 2.604vw;
    line-height: 1.2;
  }

  .office {
    column-gap: 2.083vw;

    & + .office {
      margin-top: 3.125vw;
    }
  }

  .office__btn {
    width: 3.906vw;
    height: 3.906vw;

    svg {
      width: 1.563vw;
      height: 1.563vw;
    }
  }

  .office__address {
    font-size: 2.083vw;
  }

  .office__country {
    font-size: 2.604vw;
  }

  .office__btn.active + .office__address {
    margin-top: 1.302vw;
  }

  .footer__social {
    margin: 3.906vw 0;
  }

  .footer-social svg {
    width: 7.292vw;
    height: 7.292vw;
  }

  .footer__copyright, .footer__privacy-link {
    font-size: 1.823vw;
  }
}

@media (max-width: 767px) {
  .footer {
    padding: 13.333vw 15px 21.333vw;
  }

  .footer__wrap {
    flex-wrap: wrap;
    row-gap: 9.6vw;
  }

  .footer__wrap + .footer__wrap {
    margin-top: 9.6vw;
  }

  .footer__wrap--copyright {
    gap: 4.267vw;
  }

  .footer__head-links {
    column-gap: 5.333vw;
    row-gap: 8vw;
  }

  .footer__logo {
    width: 10.667vw;
  }

  .footer__btn.btn {
    width: 42.667vw;
  }

  .footer__email {
    font-size: 5.333vw;
  }

  .clutch-link {
    gap: 4.267vw;
    padding: 3.2vw 5.333vw;
    border-radius: 4.267vw;
  }

  .clutch-link__logo {
    width: 17.333vw;
  }

  .clutch-link__desc {
    gap: 2.133vw;
  }

  .clutch-link__rating {
    gap: 1.6vw;
    font-size: 4.8vw;

    svg {
      width: 7.467vw;
    }
  }

  .clutch-link__reviews {
    font-size: 3.733vw;
  }

  .clutch-link__arrow-icon {
    width: 8.533vw;
  }

  .footer-menu:last-child {
    text-align: left;

    .footer-menu__item:last-child {
      justify-content: flex-start;
    }
  }

  .footer-menu__title {
    font-size: 8.533vw;
  }

  .footer-menu__list {
    gap: 2.133vw;
    margin-top: 4.267vw;
  }

  .footer-menu__item:last-child {
    gap: 4.8vw;
    margin-top: 2.267vw;

    svg {
      width: 8.533vw;
    }

    .footer-menu__link {
      font-size: 5.333vw;
    }
  }

  .footer-menu__link {
    font-size: 3.733vw;
  }

  .footer-nav__list {
    grid-template-columns: repeat(2, 1fr);
    grid-gap: 3.2vw 16vw;
  }

  .footer-nav__link {
    font-size: 5.333vw;
  }

  .office {
    column-gap: 4.267vw;
    justify-content: flex-start;
    text-align: left;

    & + .office {
      margin-top: 6.4vw;
    }
  }

  .office__btn {
    width: 8vw;
    height: 8vw;

    svg {
      width: 3.2vw;
      height: 3.2vw;
    }
  }

  .office__address {
    font-size: 4.267vw;
  }

  .office__country {
    font-size: 5.333vw;
  }

  .office__btn.active + .office__address {
    margin-top: 2.667vw;
  }

  .footer__social {
    margin: 9.6vw 0 10.667vw;
  }

  .footer-social svg {
    width: 10.667vw;
    height: 10.667vw;
  }

  .footer__copyright, .footer__privacy-link {
    font-size: 3.733vw;
  }
}

/* style fade animation
----------------------*/
.fade-up, .fade-left, .fade-right, .fade-bottom, .fade {
  visibility: hidden;
}

.animation-wrap {
  .fadeNone {animation: fade 1s forwards;}
  .fadeUp {animation: fadeUp 1s forwards;}
  .fadeBottom {animation: fadeBottom 1s forwards;}
  .fadeLeft {animation: fadeFromLeft 1s forwards;}
  .fadeRight {animation: fadeFromRight 1s forwards;}

  [data-delay="100"] {animation-delay: .1s;}
  [data-delay="300"] {animation-delay: .3s;}
  [data-delay="500"] {animation-delay: .5s;}
  [data-delay="700"] {animation-delay: .7s;}
  [data-delay="900"] {animation-delay: .9s;}
  [data-delay="1100"] {animation-delay: 1.1s;}
  [data-delay="1300"] {animation-delay: 1.3s;}
  [data-delay="1500"] {animation-delay: 1.5s;}
  [data-delay="1700"] {animation-delay: 1.7s;}
  [data-delay="1900"] {animation-delay: 1.9s;}
}

@keyframes fadeUp {
  0% {
    opacity: .1;
    transform: translateY(100px);
  }
  100% {
    opacity: 1;
    transform: translateY(0);
    visibility: visible;
  }
}

@keyframes fadeFromLeft {
  0% {
    opacity: .1;
    transform: translateX(-100%);
  }
  100% {
    opacity: 1;
    transform: translateX(0);
    visibility: visible;
  }
}

@keyframes fadeFromRight {
  0% {
    opacity: .1;
    transform: translateX(100%);
  }
  100% {
    opacity: 1;
    transform: translateX(0);
    visibility: visible;
  }
}

@keyframes fadeBottom {
  0% {
    opacity: .1;
    transform: translateY(-100%);
  }
  100% {
    opacity: 1;
    transform: translateX(0);
    visibility: visible;
  }
}

@keyframes fade {
  0% {
    opacity: .1;
  }
  100% {
    opacity: 1;
    visibility: visible;
  }
}

/* custom cookie styles */
.cky-footer-wrapper > *:last-child {
  display: none!important;
}

.cky-banner-bottom .cky-consent-bar .cky-banner-btn-close {
  top: 12px;
  right: 12px;
}

.cky-modal .cky-btn, .cky-banner-bottom .cky-btn {
  border-radius: 64px;
}

/* custom cursor styles */
.tooltip {
  width: 3.13vw;
  height: 3.13vw;
  max-width: 30px;
  max-height: 30px;
  cursor: auto;
  pointer-events: none;
  user-select: none;
  position: fixed;
  display: block;
  top: -1.39vw;
  left: -1.39vw;
  border-radius: 50%;
  background: var(--green);
  box-shadow: 0 0 .69vw 1.04vw var(--green);
  border: 1px solid transparent;
  transform: translate(-50%, -50%);
  transition: .3s ease-in-out opacity, .3s ease-in-out width, .3s ease-in-out height;
  z-index: 100;
  opacity: 1;

  &.magnet {
    opacity: 0;
    width: 0;
    height: 0;
  }
}

@supports (-moz-appearance: none) or (-webkit-appearance: none) {
  /* Safari и Firefox */
  .tooltip {
    filter: drop-shadow(0 0 1.04vw var(--green));
  }
}
